Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451794 - gridmanager keeps running after rm -forcex
Summary: gridmanager keeps running after rm -forcex
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: 1.1
: ---
Assignee: Matthew Farrellee
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 13:37 UTC by Matthew Farrellee
Modified: 2008-11-04 14:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-04 14:44:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthew Farrellee 2008-06-17 13:37:46 UTC
The gridmanager continues to run when there are no jobs to service, at least
when jobs are removed with rm -forcex.

The gridmanager should notice there are no more jobs and terminate.

Comment 1 Jaime Frey 2008-09-10 20:24:51 UTC
The current behavior is intentional and happens for all grid universe jobs. We saw it as advantageous that the gridmanager continued to trying removing jobs from the remote resource after the user did a condor_rm -forcex. Some on the team disagree and think the gridmanager should give up on jobs once a -forcex is performed.


Note You need to log in before you can comment on or make changes to this bug.